package com.zztrapp.zztrapp.http;

/**
 * Describe 自定义异常 HttpResultFunc方法是处理返回结果的，有个自定义异常处理，除了有正确数据以外，其余转移给APIException处理。
 * Created by Bby on 2021/10/2
 * Email bby0856@163.com
 */
public class ApiException extends RuntimeException {

    public int statusCode;
    public String message;

    /**
     * 由于服务器传递过来的错误信息直接给用户看的话，用户未必能够理解
     * 需要根据错误码对错误信息进行一个转换，在显示给用户
     *
     * @param statusCode,message
     * @return
     */
    public ApiException(int statusCode, String msg) {
        this.statusCode = statusCode;
        this.message = msg;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public int getStatusCode() {
        return statusCode;
    }

}
